/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Object","sap/ui/base/DataType","sap/ui/core/Lib","./ColorPickerDisplayMode","./FileUploaderHttpRequestMethod","sap/ui/core/RenderManager","sap/ui/core/library"],function(e,i,n,a,t,r){"use strict";var d=n.init({name:"sap.ui.unified",apiVersion:2,version:"1.128.0",dependencies:["sap.ui.core"],designtime:"sap/ui/unified/designtime/library.designtime",types:["sap.ui.unified.CalendarAppointmentVisualization","sap.ui.unified.CalendarDayType","sap.ui.unified.CalendarIntervalType","sap.ui.unifief.CalendarAppointmentHeight","sap.ui.unifief.CalendarAppointmentRoundWidth","sap.ui.unified.ColorPickerDisplayMode","sap.ui.unified.ColorPickerMode","sap.ui.unified.ContentSwitcherAnimation","sap.ui.unified.GroupAppointmentsMode","sap.ui.unified.FileUploaderHttpRequestMethod","sap.ui.unified.StandardCalendarLegendItem"],interfaces:["sap.ui.unified.IMenuItem","sap.ui.unified.IProcessableBlobs"],controls:["sap.ui.unified.calendar.DatesRow","sap.ui.unified.calendar.Header","sap.ui.unified.calendar.Month","sap.ui.unified.calendar.MonthPicker","sap.ui.unified.calendar.MonthsRow","sap.ui.unified.calendar.TimesRow","sap.ui.unified.calendar.YearPicker","sap.ui.unified.calendar.YearRangePicker","sap.ui.unified.Calendar","sap.ui.unified.CalendarDateInterval","sap.ui.unified.CalendarWeekInterval","sap.ui.unified.CalendarMonthInterval","sap.ui.unified.CalendarTimeInterval","sap.ui.unified.CalendarLegend","sap.ui.unified.CalendarRow","sap.ui.unified.ContentSwitcher","sap.ui.unified.ColorPicker","sap.ui.unified.ColorPickerPopover","sap.ui.unified.Currency","sap.ui.unified.FileUploader","sap.ui.unified.Menu","sap.ui.unified.Shell","sap.ui.unified.ShellLayout","sap.ui.unified.ShellOverlay","sap.ui.unified.SplitContainer"],elements:["sap.ui.unified.CalendarAppointment","sap.ui.unified.CalendarLegendItem","sap.ui.unified.DateRange","sap.ui.unified.DateTypeRange","sap.ui.unified.FileUploaderParameter","sap.ui.unified.FileUploaderXHRSettings","sap.ui.unified.MenuItem","sap.ui.unified.MenuItemBase","sap.ui.unified.MenuItemGroup","sap.ui.unified.MenuTextFieldItem","sap.ui.unified.NonWorkingPeriod","sap.ui.unified.RecurringNonWorkingPeriod","sap.ui.unified.ShellHeadItem","sap.ui.unified.ShellHeadUserItem","sap.ui.unified.TimeRange"],extensions:{"sap.ui.support":{publicRules:true}}});d.CalendarDayType={None:"None",NonWorking:"NonWorking",Working:"Working",Type01:"Type01",Type02:"Type02",Type03:"Type03",Type04:"Type04",Type05:"Type05",Type06:"Type06",Type07:"Type07",Type08:"Type08",Type09:"Type09",Type10:"Type10",Type11:"Type11",Type12:"Type12",Type13:"Type13",Type14:"Type14",Type15:"Type15",Type16:"Type16",Type17:"Type17",Type18:"Type18",Type19:"Type19",Type20:"Type20"};i.registerEnum("sap.ui.unified.CalendarDayType",d.CalendarDayType);d.StandardCalendarLegendItem={Today:"Today",WorkingDay:"WorkingDay",NonWorkingDay:"NonWorkingDay",Selected:"Selected"};i.registerEnum("sap.ui.unified.StandardCalendarLegendItem",d.StandardCalendarLegendItem);d.CalendarIntervalType={Hour:"Hour",Day:"Day",Month:"Month",Week:"Week",OneMonth:"One Month"};i.registerEnum("sap.ui.unified.CalendarIntervalType",d.CalendarIntervalType);d.RecurrenceType={Daily:"Daily",Weekly:"Weekly",Monthly:"Monthly",Yearly:"Yearly"};i.registerEnum("sap.ui.unified.RecurrenceType",d.RecurrenceType);d.CalendarAppointmentHeight={HalfSize:"HalfSize",Regular:"Regular",Large:"Large",Automatic:"Automatic"};i.registerEnum("sap.ui.unified.CalendarAppointmentHeight",d.CalendarAppointmentHeight);d.CalendarAppointmentRoundWidth={HalfColumn:"HalfColumn",None:"None"};i.registerEnum("sap.ui.unified.CalendarAppointmentRoundWidth",d.CalendarAppointmentRoundWidth);d.GroupAppointmentsMode={Collapsed:"Collapsed",Expanded:"Expanded"};i.registerEnum("sap.ui.unified.GroupAppointmentsMode",d.GroupAppointmentsMode);d.FileUploaderHttpRequestMethod=t;d.CalendarAppointmentVisualization={Standard:"Standard",Filled:"Filled"};i.registerEnum("sap.ui.unified.CalendarAppointmentVisualization",d.CalendarAppointmentVisualization);d.ContentSwitcherAnimation={None:"None",Fade:"Fade",ZoomIn:"ZoomIn",ZoomOut:"ZoomOut",Rotate:"Rotate",SlideRight:"SlideRight",SlideOver:"SlideOver"};i.registerEnum("sap.ui.unified.ContentSwitcherAnimation",d.ContentSwitcherAnimation);d.ColorPickerMode={HSV:"HSV",HSL:"HSL"};i.registerEnum("sap.ui.unified.ColorPickerMode",d.ColorPickerMode);d.ColorPickerDisplayMode=a;d._ContentRenderer=e.extend("sap.ui.unified._ContentRenderer",{constructor:function(i,n,a,t){e.apply(this);this._id=n;this._cntnt=a;this._ctrl=i;this._rm=(new r).getInterface();this._cb=t||function(){}},destroy:function(){this._rm.destroy();delete this._rm;delete this._id;delete this._cntnt;delete this._cb;delete this._ctrl;if(this._rerenderTimer){clearTimeout(this._rerenderTimer);delete this._rerenderTimer}e.prototype.destroy.apply(this,arguments)},render:function(){if(!this._rm){return}if(this._rerenderTimer){clearTimeout(this._rerenderTimer)}this._rerenderTimer=setTimeout(function(){var e=document.getElementById(this._id);if(e){if(typeof this._cntnt==="string"){var i=this._ctrl.getAggregation(this._cntnt,[]);for(var n=0;n<i.length;n++){this._rm.renderControl(i[n])}}else{this._cntnt(this._rm)}this._rm.flush(e)}this._cb(!!e)}.bind(this),0)}});d._iNumberOfOpenedShellOverlays=0;d.calendar=d.calendar||{};return d});
//# sourceMappingURL=library.js.map